Home Help Center

a IcePHP compile error

nightsunsnightsuns Member nightsunsOrganization: AZProject: XSTF
i just follow the instruction of INSTALL,
then i meet the follow error:

/bin/sh /home/nss/php-5.1.0/libtool --silent --preserve-dup-deps --mode=compile g++ -Iext/ice/ -I/home/nss/php-5.1.0/ext/ice/ -DPHP_ATOM_INC -I/home/nss/php-5.1.0/include -I/home/nss/php-5.1.0/main -I/home/nss/php-5.1.0 -I/usr/local/include/libxml2 -I/home/nss/php-5.1.0/ext/date/lib -I/home/nss/Ice-2.1.2//include -I/home/nss/php-5.1.0/TSRM -I/home/nss/php-5.1.0/Zend -g -O2 -prefer-non-pic -c /home/nss/php-5.1.0/ext/ice/communicator.cpp -o ext/ice/communicator.lo
/home/nss/php-5.1.0/ext/ice/communicator.cpp: In function `bool
IcePHP::communicatorInit()':
/home/nss/php-5.1.0/ext/ice/communicator.cpp:74: invalid conversion from `
_zend_function*(*)(zval*, char*, int)' to `_zend_function*(*)(zval**, char*,
int)'
/home/nss/php-5.1.0/ext/ice/communicator.cpp: In function `zend_object_value
handleAlloc(zend_class_entry*)':
/home/nss/php-5.1.0/ext/ice/communicator.cpp:530: invalid conversion from `void
(*)(zend_object*)' to `void (*)(void*)'
/home/nss/php-5.1.0/ext/ice/communicator.cpp: In function `_zend_function*
handleGetMethod(zval*, char*, int)':
/home/nss/php-5.1.0/ext/ice/communicator.cpp:584: cannot convert `zval*' to `
zval**' in argument passing
make: *** [ext/ice/communicator.lo] Error 1

envirment:
Ice-2.1.2
php5.1.0
IcePHP-2.1.2

Comments

  • benoitbenoit Rennes, FranceAdministrators, ZeroC Staff Benoit FoucherOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Hi,

    Please see [thread=1697]this thread[/thread] for information on our support policy.

    Thanks,
    Benoit.
  • nightsunsnightsuns Member nightsunsOrganization: AZProject: XSTF
    problem finded

    the problem is disappear when i change php from 5.1.0 to 5.0.4!


    :mad:
  • benoitbenoit Rennes, FranceAdministrators, ZeroC Staff Benoit FoucherOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Yes, we don't support PHP 5.1.0 yet. As you discovered it's not source compatible with previous PHP 5.0.x versions. We will support it in future IcePHP releases. If you have a commercial need for this, we could do this sonner rather than later! If that's the case please contact us at [email protected].

    Thanks,
    Benoit.
Sign In or Register to comment.